# norootforbuild

Name:		emount
Version:	0.11.2
Release:	1699.4.pm.83

Summary:	A tool that can mount, encrypt and manage disk image files and physical disk drives
License: GPL-2.0
Group:		Productivity/File utilities
URL:		http://emount.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-desktop_categories.patch
Patch1:		emount.patch
Requires:	cryptsetup xdg-utils
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	pkg-config
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	update-desktop-files
BuildRequires:	wxWidgets-devel

%description
EMount is a free system administrator tool for Linux that can mount, encrypt
and manage disk image files and physical disk drives. It relies on cryptsetup,
which implements the LUKS disk encryption specification.


%prep
%autosetup -p1

%build
CXXFLAGS='%{optflags} -Wno-deprecated-declarations'
%configure
%make_build

%install
%make_install
%suse_update_desktop_file -r "emount" System Filesystem
%suse_update_desktop_file -r "emount(super-user)" System Filesystem

%files
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications
%{_datadir}/%{name}

%changelog
* Fri Aug 26 2011 detlef@links2linux.de
- new upstream version <0.11.2>
  * A bug preventing eMount from running without an X11 display has been fixed.
* Sat Jun 18 2011 detlef@links2linux.de
- new upstream version <0.11.1>
  * Automount and Eject All have been added to automatically mount volumes when
    eMount starts and dis-mount all volumes at once.
  * Empty volume trash on eject has been added.
  * Minor bugs have been fixed.
* Sat Feb 12 2011 detlef@links2linux.de
- new upstream version <0.11.0>
  * Library dependency to wxWidgets has been replaced with GTK+ (gtkmm). Major
    GUI improvements released.
  * Compact disk space allocation has been added to allow quick disk images
    creation.
* Wed Sep 15 2010 detlef@links2linux.de
- new upstream version <0.10.3>
  * A bug that was preventing the GUI from loading with Ubuntu 10.10 beta has been
    fixed.
* Tue Jun 22 2010 detlef@links2linux.de
- new upstream version <0.10.2>
  * Disk enlargement support for ext4 has been added.
  * Disk images greater than 2GB could not be enlarged, the bug has been fixed
    along with other issues.
* Sat May 15 2010 detlef@links2linux.de
- initial build for PackMan <0.10.1>
